// 明細クリック時
$(document).on("focus", ".detail", function (ce) {
  $(this).trigger("click", $(this));
  return false;
});

$(document).on("click", ".detail", function (ce) {
  $(this).trigger("beforeSelectDetail", ce);

  var topId = common.getId($(this).closest(".detailArea"));
  var meId = common.getId($(this));
  //背景色を変えたくない場合はnoSelectRowをclassに入れる
  if ($("#" + topId).hasClass("noSelectRow")) {
    return true;
  }

  var oldSelectId = sessionStorage.getItem("dt_" + topId);
  if (oldSelectId == meId) {
    return true;
  }

  if (oldSelectId != null && oldSelectId != "") {
    $("#" + oldSelectId).removeClass("selectRow").show();
  }
  $(this).addClass("selectRow").show();
  sessionStorage.setItem("dt_" + topId, meId);

  $(this).trigger("selectedDetail");

  return true;
});

/*===クリック
@@@===========================================================================================================================================*/
// 行削除funcクリック時
$(document).on("click", ".btn-del", function (ce) {
  var chkLineDel = $($(".container.contents").find(".selectRow .chkLineDel")[0]);
  //選択行なかったらなにもしない
	if (chkLineDel !== 'undefined') {
	  if (!chkLineDel.prop('checked')) {
      chkLineDel.prop("checked",true);
      chkLineDel.trigger("change");
    } else {
      chkLineDel.prop("checked",false);
      chkLineDel.trigger("change");
    }
	}
  //var detail = $($(".container.contents").find(".detail.selectRow")[0]);
  var detail = $($(".container.contents").find(".detail.selectRow"));
  commonLine.chkDeleteDetail(detail);
});
// 行削除ボタンクリック時
$(document).on("click", ".btnLineDel", function (ce) {
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  commonLine.deleteDetail(detail);
});
// チェックボックスクリック時
$(document).on("click", ".chkLineDel", function (ce) {
  //checkが入っていた時は既存/新規チェック
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  if ($(this).prop('checked')) {
    commonLine.chkDeleteDetail(detail);
  } else {
    detail.find(".chkLineDel").trigger("afterDelLine");
  }
});
// 行挿入ボタンクリック時
$(document).on("click", ".btnLineIns", function (ce) {
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  var ins = commonLine.insertDetail(detail);
  //最終行に追加
  //$("#lastDetail").focus();
});
// 行挿入↑ボタンクリック時
$(document).on("click", ".btnLineUpIns", function (ce) {
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  var ins = commonLine.insertDetail(detail,"up");
  $(this).trigger("afterLineUpIns");
});
// 行コピーボタンクリック時
$(document).on("click", ".btnLineCpy", function (ce) {
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  commonLine.copyDetail(detail);
});
// 行貼付けボタンクリック時
$(document).on("click", ".btnLinePst", function (ce) {
  var detail = $(this).closest(".contents").find(".detail.selectRow");
  var newRow = commonLine.pasteDetail(detail);
});
